Package org.spongepowered.asm.mixin.injection.struct

## Class TargetNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.spongepowered.asm.mixin.throwables.MixinException
        - - org.spongepowered.asm.mixin.injection.selectors.InvalidSelectorException
          - - org.spongepowered.asm.mixin.injection.struct.TargetNotSupportedException

All Implemented Interfaces:
  `java.io.Serializable`

    public class TargetNotSupportedException
    extends InvalidSelectorException

Exception thrown when target selector is not valid for the supplied target context during `ITargetSelector.attach(org.spongepowered.asm.mixin.injection.selectors.ISelectorContext)`

See Also:
  Serialized Form

### Constructor Summary

Constructors
`TargetNotSupportedException​(java.lang.String message)`
`TargetNotSupportedException​(java.lang.String message, java.lang.Throwable cause)`
`TargetNotSupportedException​(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class org.spongepowered.asm.mixin.throwables.MixinException

`getMessage, prepend`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TargetNotSupportedException

    public TargetNotSupportedException​(java.lang.String message)

#### TargetNotSupportedException

    public TargetNotSupportedException​(java.lang.Throwable cause)

#### TargetNotSupportedException

    public TargetNotSupportedException​(java.lang.String message,
                                       java.lang.Throwable cause)